From: Junio C Hamano <gitster@pobox.com>
To: Christian Couder <chriscool@tuxfamily.org>
Cc: git@vger.kernel.org, Jeff King <peff@peff.net>,
Jakub Narebski <jnareb@gmail.com>,
Eric Sunshine <sunshine@sunshineco.com>
Subject: Re: [PATCH v3 4/4] contrib: add convert-grafts-to-replace-refs.sh
Date: Thu, 05 Jun 2014 14:55:26 -0700 [thread overview]
Message-ID: <xmqqa99rrpgx.fsf@gitster.dls.corp.google.com> (raw)
In-Reply-To: <20140604194353.23903.58934.chriscool@tuxfamily.org> (Christian Couder's message of "Wed, 04 Jun 2014 21:43:52 +0200")
Christian Couder <chriscool@tuxfamily.org> writes:
> diff --git a/contrib/convert-grafts-to-replace-refs.sh b/contrib/convert-grafts-to-replace-refs.sh
> new file mode 100755
> index 0000000..8472879
> --- /dev/null
> +++ b/contrib/convert-grafts-to-replace-refs.sh
> @@ -0,0 +1,29 @@
> +#!/bin/sh
> +
> +# You should execute this script in the repository where you
> +# want to convert grafts to replace refs.
> +
> +die () {
> + echo >&2 "$@"
> + exit 1
> +}
Don't we install git-sh-setup in GIT_EXEC_PATH, in order to allow
these third-party scripts to begin with:
. $(git --exec-path)/git-sh-setup
just like our own scripted Porcelains?
> +GRAFTS_FILE="${GIT_DIR:-.git}/info/grafts"
> +
> +test -f "$GRAFTS_FILE" || die "Could not find graft file: '$GRAFTS_FILE'"
> +
> +grep '^[^# ]' "$GRAFTS_FILE" | while read definition
> +do
Format the above like so:
grep '^[^# ]' "$GRAFTS_FILE" |
while read definition
do
which is easier to see what that "do" is doing.
> + test -n "$definition" && {
> + echo "Converting: $definition"
> + git replace --graft $definition ||
> + die "Conversion failed for: $definition"
> + }
Hmph, why not if/then/fi?
next prev parent reply other threads:[~2014-06-05 21:55 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-06-04 19:43 [PATCH v3 0/4] Add --graft option to git replace Christian Couder
2014-06-04 19:43 ` [PATCH v3 1/4] replace: add --graft option Christian Couder
2014-06-05 21:49 ` Junio C Hamano
2014-06-06 15:29 ` Christian Couder
2014-06-06 15:44 ` Christian Couder
2014-06-08 6:49 ` Christian Couder
2014-06-08 11:23 ` Jeff King
2014-06-08 12:04 ` Jeff King
2014-06-08 12:09 ` Jeff King
2014-06-09 16:43 ` Junio C Hamano
[not found] ` <CAPc5daWBycdmKBZXGhhy4_649p_JFfGf7RQbqa08XA1hL9mFTg@mail.gmail.com>
2014-06-29 6:34 ` Christian Couder
2014-06-30 6:37 ` Junio C Hamano
2014-06-30 10:52 ` Christian Couder
2014-06-06 16:59 ` Junio C Hamano
2014-06-04 19:43 ` [PATCH v3 2/4] replace: add test for --graft Christian Couder
2014-06-04 19:43 ` [PATCH v3 3/4] Documentation: replace: add --graft option Christian Couder
2014-06-04 19:43 ` [PATCH v3 4/4] contrib: add convert-grafts-to-replace-refs.sh Christian Couder
2014-06-05 21:55 ` Junio C Hamano [this message]
2014-06-06 15:47 ` Christian Couder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=xmqqa99rrpgx.fsf@gitster.dls.corp.google.com \
--to=gitster@pobox.com \
--cc=chriscool@tuxfamily.org \
--cc=git@vger.kernel.org \
--cc=jnareb@gmail.com \
--cc=peff@peff.net \
--cc=sunshine@sunshineco.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.